Subject: Re: [PATCH 3/3] curl: fix symbolic constant typechecks with curl_easy_setopt()

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Jun 2025 14:25:09 -0700

Jeff King <[email-masked]> writes:

> It seems kind of weird to me that curl doesn't define these constants as
> longs, since the point of them is to pass to curl_easy_setopt(). But in
> the curl documentation and examples, they clearly show casting them as
> part of the setopt calls. It may be that there is some reason not to
> push the type into the macro, like backwards compatibility. I didn't
> dig, as it doesn't really matter: we have to follow what existing curl
> versions ask for anyway.

Well reasoned, and I grew 100% with the above reasoning.

Thank you very much for putting these together.  Will queue.